/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package bonecoatirador;

import JPlay.Sprite;
import JPlay.Window;

 /**
  * @author Gefersom Cardoso Lima
  * Federal Fluminense University - UFF - Brazil
  * Computer Science
  */  

public class Tiro extends Sprite
{
    int sentido = Constantes.STOP;
    public Tiro(double x, double y, int sentido)
    {
            //Esse construtor é da classe Sprite que é a super classe da classe Tiro.
            super("tiro.png", 7);
            setTotalDuration(700);
            setGravity(0.0098);
            this.sentido = sentido;

            //Essas variáveis são da classe GameObject que é uma super classe de Sprite.
            this.x = x;
            this.y = y;
    }

    public void move( Window janela )
    {            
            if ( sentido == Constantes.RIGHT && this.x + this.width < janela.getWidth() )
                this.x += 7;

            if ( sentido == Constantes.LEFT && this.x > 1 )
                this.x -= 7;
    }
}

